API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class BroadcastPositionEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class BroadcastPositionEvent
Inheritance | BroadcastPositionEvent flash.events.Event

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Array | BroadcastPositionEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | BroadcastPositionEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | BroadcastPositionEvent
|  | clone():Event | BroadcastPositionEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | MOUSE_CLICK : String = "MouseClick" [static] | BroadcastPositionEvent
|  | MOUSE_DOUBLE_CLICK : String = "MouseDubleClick" [static] | BroadcastPositionEvent
|  | MOUSE_OVER : String = "MouseOver" [static] | BroadcastPositionEvent

Property detail

data | property

`public var data:Array`
Constructor detail

BroadcastPositionEvent | () | constructor

`public function BroadcastPositionEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method detail

clone | () | method

`public override function clone():Event`

Returns

| `Event`

Constant detail

MOUSE_CLICK | constant

`public static const MOUSE_CLICK:String = "MouseClick"`

MOUSE_DOUBLE_CLICK | constant |

`public static const MOUSE_DOUBLE_CLICK:String = "MouseDubleClick"`

MOUSE_OVER | constant |

`public static const MOUSE_OVER:String = "MouseOver"`